import { IApiCreateClaimResponse, IApiInfoResponse, IApiSendResponse, ICreateClaimOptions, IInfoOptions, ISendOptions, IDisconnectOptions, IApiDisconnectResponse, IChannelOptions, IApiChannelResponse } from "./types";
export declare class dSockClient {
    private readonly axios;
    /**
     * @param baseUrl The dSock API endpoint (without trailing slash)
     * @param token The dSock API token (to authorize requests)
     */
    constructor(baseUrl: string, token: string);
    createClaim(options: ICreateClaimOptions): Promise<IApiCreateClaimResponse>;
    send(options: ISendOptions): Promise<IApiSendResponse>;
    disconnect(options: IDisconnectOptions): Promise<IApiDisconnectResponse>;
    info(options: IInfoOptions): Promise<IApiInfoResponse>;
    channelSubscribe(channel: string, options: IChannelOptions): Promise<IApiChannelResponse>;
    channelUnsubscribe(channel: string, options: IChannelOptions): Promise<IApiChannelResponse>;
    private request;
}
export declare class dSockCloudClient extends dSockClient {
    /**
     * @param projectId The dSock Cloud project ID
     * @param key The dSock Cloud project key
     */
    constructor(projectId: string, key: string);
}
